Subject: Re: Argh! How do I...

From: Philip Guenther <[email-masked]>
Date: Mon, 20 Mar 1995 18:00:17 -0600

>On Mon, 20 Mar 1995, Mike Campbell wrote:
>
>> 
>> How do I get procmail to not barf on lines that match the regex "\n\nFrom" but
>> are part of the message?
>> 
>> Like so (assume this isn't quoted):
>> 
>> > From time to time, I ....
>> 
>> If this weren't quoted, (i.e. without "> "), I'd get this split into 2 mails;
>> one starting with the "From time to time" line.
>> 
>> Can I circumvent this somehow?
>
>This is the job of the SMTP server running on your system.  Sendmail, for 
>instance will escape the \n\nFrom into \n\n\>From if it encounters such a 
>string in a message.

sendmail will only do that if the 'E' flag is given the to delivery
agent.  procmail will do it if
	a) the -Y flag is given
	b) there's no content length header
	c) the content length header is too small, in which case only
		"From " lines beyond the given point will be escaped.

If you're running procmail from your .forward file, and the 'prog'
mailer doesn't have the 'E' flag then you may want to give procmail
the -Y flag to force the quoting.  If procmail is the local delivery
agent, then either you need mail user agents that understand Content-Length
or procmail should be passed the -Y flag.  If you're not the sysadmin,
bang on them to either fix the MUAs or add the -Y flag.  If they won't
do either, run procmail from your .forward file with the -Y flag.  ;-)

Philip Guenther

----------------------------------------------------------------
Philip Guenther			UNIX Systems and Network Administrator
Internet: [email-masked]	Phonenet: (507) 933-7596
Gustavus Adolphus College       FAX: (507) 933-7041
St. Peter, MN 56082-1498
#include <std/disclaimer.h>